# Uses of Class
net.shibboleth.idp.authn.ExternalAuthentication

Packages that use ExternalAuthentication
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of ExternalAuthentication in net.shibboleth.idp.authn.context

Fields in net.shibboleth.idp.authn.context declared as ExternalAuthentication
Modifier and Type
Field
Description
`private final ExternalAuthentication`
ExternalAuthenticationContext.`externalAuthentication`
Implementation object.
Methods in net.shibboleth.idp.authn.context that return ExternalAuthentication
Modifier and Type
Method
Description
`ExternalAuthentication`
ExternalAuthenticationContext.`getExternalAuthentication()`
Get the `ExternalAuthentication` object installed in the context.
Constructors in net.shibboleth.idp.authn.context with parameters of type ExternalAuthentication
Modifier
Constructor
Description
``
`ExternalAuthenticationContext(ExternalAuthentication authentication)`
Constructor.

## Uses of ExternalAuthentication in net.shibboleth.idp.authn.impl

Subclasses of ExternalAuthentication in net.shibboleth.idp.authn.impl
Modifier and Type
Class
Description
`class`
`ExternalAuthenticationImpl`
Implementation of the `ExternalAuthentication` API that handles moving information in and out of request attributes.